/****************************************************************************\
*                                                                            *
* 17.06.2006                                                                 *
* CAlphaBlendingStateNode - Source File                                             *
*                                                                            *
* (c) Raphael Charwot, Robert Hausmair                                       *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/
#include "CAlphaBlendingStateNode.h"
#include <CEngineFactory.h>
#include <gl/GL.h>

/****************************************************************************\
* PRIVATE DEFINITIONS                                                        *
\****************************************************************************/

/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/
//ToDo: glBefehle rausschmeien
void CAlphaBlendingStateNode::ExecutePreState()
{
	CEngineFactory::InstancePtr()->GetRenderer()->EnableBlending(true);
	glBlendFunc(GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
}
void CAlphaBlendingStateNode::ExecutePostState(){
	CEngineFactory::InstancePtr()->GetRenderer()->EnableBlending(false);
}
/****************************************************************************\
* PROTECTED CLASS FUNCTIONS                                                  *
\****************************************************************************/

/****************************************************************************\
* PRIVATE CLASS FUNCTIONS                                                    *
\****************************************************************************/


