/****************************************************************************\
*                                                                            *
* 17.06.2006                                                                 *
* CForestStateNode - Source File                                             *
*                                                                            *
* (c) Raphael Charwot, Robert Hausmair                                       *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/
#include "CForestStateNode.h"
#include <CEngineFactory.h>
#include <gl/GL.h>

/****************************************************************************\
* PRIVATE DEFINITIONS                                                        *
\****************************************************************************/

/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/
//ToDo: glBefehle rausschmeien
void CForestStateNode::ExecutePreState()
{
	glDisable(GL_CULL_FACE);
	CEngineFactory::InstancePtr()->GetRenderer()->EnableAlphaTest(true);
	glAlphaFunc(GL_GREATER,0.5f);
}
void CForestStateNode::ExecutePostState(){
	glEnable(GL_CULL_FACE);
	CEngineFactory::InstancePtr()->GetRenderer()->EnableAlphaTest(false);
}
/****************************************************************************\
* PROTECTED CLASS FUNCTIONS                                                  *
\****************************************************************************/

/****************************************************************************\
* PRIVATE CLASS FUNCTIONS                                                    *
\****************************************************************************/


