/****************************************************************************\
*                                                                            *
* 02.06.2006                                                                 *
* IPhysXObj - Source File                                                    *
*                                                                            *
* (c) Raphael Charwot, Robert Hausmair                                       *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/
#include "IPhysXObj.h"
#include "Objects/IGameObj.h"

/****************************************************************************\
* PRIVATE DEFINITIONS                                                        *
\****************************************************************************/

/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/
IPhysXObj::IPhysXObj() : m_pObj(NULL)
{

}

void IPhysXObj::CollidedWith(IPhysXObj *pOther)
{
	if(m_pObj && pOther->GetObject())
	{
		m_pObj->CollidedWith(pOther->GetObject());
	}
}

IPhysXObj::~IPhysXObj()
{

}

/****************************************************************************\
* PROTECTED CLASS FUNCTIONS                                                  *
\****************************************************************************/

/****************************************************************************\
* PRIVATE CLASS FUNCTIONS                                                    *
\****************************************************************************/


