/****************************************************************************\
*                                                                            *
* 25.04.2006                                                                 *
* ICamCtrl - Source File                                                     *
*                                                                            *
* (c) Raphael Charwot, Robert Hausmair                                       *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/
#include "ICamCtrl.h"
#include "CCamera.h"

/****************************************************************************\
* PRIVATE DEFINITIONS                                                        *
\****************************************************************************/

/****************************************************************************\
* PUBLIC CLASS FUNCTIONS                                                     *
\****************************************************************************/
ICamCtrl::ICamCtrl() : m_pCamera(NULL)
{
}

void ICamCtrl::Enable(const TSmartPointer<CCamera> &pCamera)
{
    m_pCamera = pCamera;
}

void ICamCtrl::Disable()
{
    m_pCamera = NULL;
}

ICamCtrl::~ICamCtrl()
{
    m_pCamera = NULL;
}

/****************************************************************************\
* PROTECTED CLASS FUNCTIONS                                                  *
\****************************************************************************/

/****************************************************************************\
* PRIVATE CLASS FUNCTIONS                                                    *
\****************************************************************************/


