/****************************************************************************\
*                                                                            *
* 16.02.2006                                                                 *
* Main - Source File                                                         *
*                                                                            *
* (c) Raphael Charwot, Robert Hausmair                                       *
*                                                                            *
\****************************************************************************/

/****************************************************************************\
* REQUIRED HEADERS                                                           *
\****************************************************************************/
#include <Definitions.h>
#include <Memory/mmgr.h>
#include "CKillBirdApp.h"

/****************************************************************************\
* PRIVATE DEFINITIONS                                                        *
\****************************************************************************/

/****************************************************************************\
* WINMAIN                                                                    *
\****************************************************************************/

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
                   LPSTR lpCmdLine, int nCmdShow)
{
	
	int wReturn;
	CLogSystem::ClearLogs();
	
	CKillBirdApp *pApp(new CKillBirdApp);
	wReturn = pApp->RunApp(hInstance);

	delete pApp;

	return wReturn;
}